Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "9168a090-205a-4529-b940-8100a2b8c5c2",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "06daed5e-6118-4b76-b48d-e1d2c190f180",
"company_code": "sample string 5",
"company": {
"id": "9c8d9c20-5235-4a0f-b00f-5b0e50d44421",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-20T05:53:53.3470103+00:00",
"sales_territory_id": "f1d915b9-9669-4ba2-84af-5b510d3095f7",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "3b9cf81a-89c9-4a32-ae64-388fb3f24b25",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "9375d3a1-cf6d-4eea-9d6a-d8cd84a82575",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "65ec3f84-1fa1-4209-8981-d03dbb0502ac",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8fa7f0c7-1ea5-47b0-b477-08927065e51d",
"db_currency_id": "6e92d568-cbe6-4426-b59e-b213be33fb37",
"db_language_id": "d069f859-3ad2-48d4-a976-7f7ed601916e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-20T05:53:53.3470103+00:00"
},
"modified_dateutc": "2026-10-20T05:53:53.3470103+00:00"
},
"marketing_segment_id": "713b9801-e826-484f-91d4-fe5da5f76b4b",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "3e3e42b2-cc37-4c9e-9b3b-aafa160067d5",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "bc355260-4900-4ae6-ad4e-59b288898f5b",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "c70b3059-bf66-4f34-8ce1-bb8bd35ce235",
"db_country_code": "sample string 28",
"feelist_id": "5841878f-d91b-48ac-b628-2adecd61b86a",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "1152cb29-c4f4-41d7-bbcf-ae988a37994e",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "5ace5ec6-5eb8-4876-ab43-b08f1e9febc6",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-20T05:53:53.3639625+00:00",
"db_currency_id": "1943c272-88f6-4ee0-9a92-560b023b0f3b",
"db_currency_code": "sample string 10"
},
"company_type_id": "6f49fb41-d445-48e1-8491-f39f4e38b0f1",
"company_type_name": "sample string 32",
"company_type": {
"id": "a00ed9f7-906e-484f-a0fe-fa65077a7982",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "701aac1e-6619-4b65-be9e-0f88a544590c",
"sales_organization_code": "sample string 5"
},
"db_language_id": "d93ed1f1-31c1-43b2-b030-03edbc637a1e",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "6855558c-d236-4a29-a100-30a03abc143d",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "22d190c3-3554-41c3-9c45-db97f6f759e1",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "4827b6d3-66b7-4a37-8ec3-13309337ec15",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-20T05:53:53.3639625+00:00"
},
"company_sector_id": "2a4c3e72-4037-4f9e-a89b-cc86f69ddd24",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "038b8d98-7431-4e2d-9ee8-f4363e9b30fb",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "6ba89c78-d1ce-42ac-9085-af6d6cc3b735",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "28a37faf-d51d-47b3-a826-b64353b298e0",
"account_manager_user_code": "sample string 56",
"company_status_id": "090d8064-844f-4235-9fb8-c0fd6f6526b6",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-20T05:53:53.3639625+00:00",
"id2": 60
},
"db_language_id": "2a804323-d1c4-4ccf-9ece-7a7ff8d3f4d6",
"db_language_code": "sample string 7",
"db_title_id": "f3eeb7bf-78c8-46c7-b073-40e34f01a751",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-20T05:53:53.3639625+00:00",
"create_date": "2026-10-20T05:53:53.3639625+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-20T05:53:53.3639625+00:00"
}